Bug 74709 - cell border padding (clpad*) is ignored on RTF import
Summary: cell border padding (clpad*) is ignored on RTF import
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: Other Linux (All)
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:4.3.0 target:4.2.3
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-08 11:38 UTC by Bernard Moreton
Modified: 2014-03-03 12:24 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
simple table, with padding set (2.71 KB, application/rtf)
2014-02-08 11:38 UTC, Bernard Moreton
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Moreton 2014-02-08 11:38:47 UTC
Created attachment 93652 [details]
simple table, with padding set

A test table saves padding to RTF, but the setting are ignored on re-opening in Writer.
Comment 1 Miklos Vajna 2014-02-09 11:03:27 UTC
Thanks, the bugdoc is a good reproducer for the clpad* RTF control words. I'll just adjust the summary to talk about those.

Indeed trpadd* is also ignored on import, however it would be nice to have a reproducer document for that as well. Could you please open a separate bug for that? :-)
Comment 2 Commit Notification 2014-02-10 08:58:46 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6b5ef795ed4a56195bf09633b03e88474f0b133c

fdo#74709 RTF import: implement RTF_CLPAD*



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Miklos Vajna 2014-02-14 21:31:22 UTC
-4-2 backport: https://gerrit.libreoffice.org/8056
Comment 4 Commit Notification 2014-02-18 13:02:15 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7ade6edccb3f697d53a05b42b2b8dc6d026de88b&h=libreoffice-4-2

fdo#74709 RTF import: implement RTF_CLPAD*


It will be available in LibreOffice 4.2.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Michael Stahl (CIB) 2014-03-03 12:24:32 UTC
by random chance, discovered that this is in 4.2.3 but not in 4.2.2